%global baseversion  0.4.4
%global extraversion -2

Name:       nodejs-cli
Version:    %{baseversion}.2
Release:    2%{?dist}
Summary:    Node.js module for rapidly building command line apps
# License text is included in README.md
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/chriso/cli
Source0:    http://registry.npmjs.org/cli/-/cli-%{baseversion}%{extraversion}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-devel

%description
cli is a toolkit for rapidly building command line apps. It includes:

 - Full featured options/arguments parser
 - Plugin support for adding common options and switches
 - Helper methods for working with input/output and spawning child processes
 - Output colored/styled messages, progress bars or spinners
 - Command auto-completion and glob support


%prep
%setup -q -n package
find . -type f -exec chmod 0644 '{}' \;


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/cli
cp -pr package.json cli.js index.js \
    %{buildroot}%{nodejs_sitelib}/cli

%nodejs_symlink_deps


%files
%doc README.md examples/
%{nodejs_sitelib}/cli


%changelog
* Sat Mar 23 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4.2-2
- fix a few more file permissions

* Sat Mar 23 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4.2-1
- fix file permissions in examples/ directory

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.4-1
- initial package
